UNPKG

valorant-api-types

Version:

A collection of documented endpoints and return types for the unofficial Valorant API

28 lines 962 B
"use strict"; Object.defineProperty(exports, "__esModule", { value: true }); exports.riotGeoEndpoint = void 0; const zod_1 = require("zod"); exports.riotGeoEndpoint = { name: 'Riot Geo', description: 'Get the region for a given ID token and auth token. The ID token and auth token can be obtained from [PUT Cookie Reauth]', category: 'Authentication Endpoints', type: 'other', suffix: 'https://riot-geo.pas.si.riotgames.com/pas/v1/product/valorant', method: 'PUT', riotRequirements: { token: true }, body: zod_1.z.object({ id_token: zod_1.z.string().describe('The ID token') }), responses: { '200': zod_1.z.object({ token: zod_1.z.string(), affinities: zod_1.z.object({ pbe: zod_1.z.string(), live: zod_1.z.string() }).describe('The region IDs for PBE and live servers') }) } }; //# sourceMappingURL=RiotGeo.js.map